# collada.lineset.Line

class collada.lineset.Line(indices, vertices, normals, texcoords, material)

  Single line representation. Represents the line between two points `(x0,y0,z0)` and `(x1,y1,z1)`. A Line is read-only.

  __init__(indices, vertices, normals, texcoords, material)

    A Line should not be created manually.

  Methods

  `__init__`(indices, vertices, normals, ...) | A Line should not be created manually.

  Attributes

  `vertices` | A (2, 3) numpy float array containing the endpoints of the line
  `normals` | A (2, 3) numpy float array with the normals for the endpoints of the line.
  `texcoords` | A tuple where entries are numpy float arrays of size (2, 2) containing the texture coordinates for the endpoints of the line for each texture coordinate set.
  `material` | If coming from an unbound `collada.lineset.LineSet`, contains a string with the material symbol.